CVE-2004-0981

Current Description

Buffer overflow in the EXIF parsing routine in ImageMagick before 6.1.0 allows remote attackers to execute arbitrary code via a certain image file.

Basic Data

PublishedFebruary 09, 2005
Last ModifiedOctober 11, 2017
Assignercve@mitre.org
Data TypeCVE
Data FormatMITRE
Data Version4.0
Problem TypeNVD-CWE-Other
CVE Data Version4.0

Base Metric V2

CVSS 2 - Version2.0
CVSS 2 - Vector StringAV:N/AC:L/Au:N/C:C/I:C/A:C
CVSS 2 - Access VectorNETWORK
CVSS 2 - Access ComplexityLOW
CVSS 2 - AuthenticationNONE
CVSS 2 - Confidentiality ImpactCOMPLETE
CVSS 2 - Availability ImpactCOMPLETE
CVSS 2 - Base Score10.0
SeverityHIGH
Exploitability Score10.0
Impact Score10.0
Obtain All Privilegetrue
Obtain User Privilegefalse
Obtain Other Privilegefalse

Base Metric V3

No data provided.

Configurations

  • OR - Configuration 1
    Cpe VersionPartVendorProductVersionUpdateEditionLanguageSW EditionTarget SWTarget HWOtherVersion Start IncludingVersion End IncludingVersion Start ExcludingVersion End Excluding
    2.3ApplicationImagemagickImagemagick5.3.3*******
    2.3ApplicationImagemagickImagemagick5.4.3*******
    2.3ApplicationImagemagickImagemagick5.4.4.5*******
    2.3ApplicationImagemagickImagemagick5.4.7*******
    2.3ApplicationImagemagickImagemagick5.4.8*******
    2.3ApplicationImagemagickImagemagick5.4.8.2.1.1.0*******
    2.3ApplicationImagemagickImagemagick5.5.3.2.1.2.0*******
    2.3ApplicationImagemagickImagemagick5.5.6.0_2003-04-09*******
    2.3ApplicationImagemagickImagemagick5.5.7*******
    2.3ApplicationImagemagickImagemagick6.0*******
    2.3ApplicationImagemagickImagemagick6.0.1*******
    2.3ApplicationImagemagickImagemagick6.0.3*******
    2.3ApplicationImagemagickImagemagick6.0.4*******
    2.3ApplicationImagemagickImagemagick6.0.5*******
    2.3ApplicationImagemagickImagemagick6.0.6*******
    2.3ApplicationImagemagickImagemagick6.0.7*******
    2.3ApplicationImagemagickImagemagick6.0.8*******
  • OR - Configuration 2
    Cpe VersionPartVendorProductVersionUpdateEditionLanguageSW EditionTarget SWTarget HWOtherVersion Start IncludingVersion End IncludingVersion Start ExcludingVersion End Excluding
    2.3OSDebianDebian Linux3.0*alpha*****
    2.3OSDebianDebian Linux3.0*arm*****
    2.3OSDebianDebian Linux3.0*hppa*****
    2.3OSDebianDebian Linux3.0*ia-32*****
    2.3OSDebianDebian Linux3.0*ia-64*****
    2.3OSDebianDebian Linux3.0*m68k*****
    2.3OSDebianDebian Linux3.0*mips*****
    2.3OSDebianDebian Linux3.0*mipsel*****
    2.3OSDebianDebian Linux3.0*ppc*****
    2.3OSDebianDebian Linux3.0*s-390*****
    2.3OSDebianDebian Linux3.0*sparc*****
    2.3OSGentooLinux********
    2.3OSSuseSuse Linux8.0*******
    2.3OSSuseSuse Linux8.1*******
    2.3OSSuseSuse Linux8.2*******
    2.3OSSuseSuse Linux9.0*******
    2.3OSSuseSuse Linux9.0*x86_64*****
    2.3OSSuseSuse Linux9.1*******
    2.3OSSuseSuse Linux9.2*******

Vulnerable Software List

VendorProductVersions
Imagemagick Imagemagick 5.3.3, 5.4.3, 5.4.4.5, 5.4.7, 5.4.8, 5.4.8.2.1.1.0, 5.5.3.2.1.2.0, 5.5.6.0_2003-04-09, 5.5.7, 6.0, 6.0.1, 6.0.3, 6.0.4, 6.0.5, 6.0.6, 6.0.7, 6.0.8
Debian Debian Linux 3.0
Suse Suse Linux 8.0, 8.1, 8.2, 9.0, 9.1, 9.2
Gentoo Linux *

References

NameSourceURLTags
12995http://secunia.com/advisories/12995/SECUNIA
GLSA-200411-11http://security.gentoo.org/glsa/glsa-200411-11.xmlGENTOO
http://www.imagemagick.org/www/Changelog.htmlhttp://www.imagemagick.org/www/Changelog.htmlCONFIRM
11548http://www.securityfocus.org/bid/11548BID
imagemagick-exif-image-bo(17903)https://exchange.xforce.ibmcloud.com/vulnerabilities/17903XF
oval:org.mitre.oval:def:10472https://oval.cisecurity.org/repository/search/definition/oval%3Aorg.mitre.oval%3Adef%3A10472OVAL
USN-7-1https://www.ubuntu.com/usn/usn-7-1/UBUNTU